/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ExtendedWarrantyCreateClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ExtendedWarrantyCreateClaimRequest {
  @SerializedName("item_information")
  private PurchaseProtectionItem itemInformation = null;

  @SerializedName("incident")
  private Model92 incident = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("existing_case")
  private Model93 existingCase = null;

  @SerializedName("other_insurance_covering")
  private Model95 otherInsuranceCovering = null;

  @SerializedName("legal_consents")
  private Model97 legalConsents = null;

  @SerializedName("policy")
  private Model99 policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("contact_phones")
  private ContactPhones contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public ExtendedWarrantyCreateClaimRequest itemInformation(PurchaseProtectionItem itemInformation) {
    this.itemInformation = itemInformation;
    return this;
  }

   /**
   * Get itemInformation
   * @return itemInformation
  **/
  @ApiModelProperty(value = "")
  public PurchaseProtectionItem getItemInformation() {
    return itemInformation;
  }

  public void setItemInformation(PurchaseProtectionItem itemInformation) {
    this.itemInformation = itemInformation;
  }

  public ExtendedWarrantyCreateClaimRequest incident(Model92 incident) {
    this.incident = incident;
    return this;
  }

   /**
   * Get incident
   * @return incident
  **/
  @ApiModelProperty(required = true, value = "")
  public Model92 getIncident() {
    return incident;
  }

  public void setIncident(Model92 incident) {
    this.incident = incident;
  }

  public ExtendedWarrantyCreateClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public ExtendedWarrantyCreateClaimRequest existingCase(Model93 existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Model93 getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Model93 existingCase) {
    this.existingCase = existingCase;
  }

  public ExtendedWarrantyCreateClaimRequest otherInsuranceCovering(Model95 otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public Model95 getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(Model95 otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public ExtendedWarrantyCreateClaimRequest legalConsents(Model97 legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public Model97 getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(Model97 legalConsents) {
    this.legalConsents = legalConsents;
  }

  public ExtendedWarrantyCreateClaimRequest policy(Model99 policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Model99 getPolicy() {
    return policy;
  }

  public void setPolicy(Model99 policy) {
    this.policy = policy;
  }

  public ExtendedWarrantyCreateClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public ExtendedWarrantyCreateClaimRequest contactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public ContactPhones getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
  }

  public ExtendedWarrantyCreateClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ExtendedWarrantyCreateClaimRequest extendedWarrantyCreateClaimRequest = (ExtendedWarrantyCreateClaimRequest) o;
    return Objects.equals(this.itemInformation, extendedWarrantyCreateClaimRequest.itemInformation) &&
        Objects.equals(this.incident, extendedWarrantyCreateClaimRequest.incident) &&
        Objects.equals(this.affectedPerson, extendedWarrantyCreateClaimRequest.affectedPerson) &&
        Objects.equals(this.existingCase, extendedWarrantyCreateClaimRequest.existingCase) &&
        Objects.equals(this.otherInsuranceCovering, extendedWarrantyCreateClaimRequest.otherInsuranceCovering) &&
        Objects.equals(this.legalConsents, extendedWarrantyCreateClaimRequest.legalConsents) &&
        Objects.equals(this.policy, extendedWarrantyCreateClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, extendedWarrantyCreateClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.contactPhones, extendedWarrantyCreateClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, extendedWarrantyCreateClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(itemInformation, incident, affectedPerson, existingCase, otherInsuranceCovering, legalConsents, policy, totalAmountClaimed, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ExtendedWarrantyCreateClaimRequest {\n");
    
    sb.append("    itemInformation: ").append(toIndentedString(itemInformation)).append("\n");
    sb.append("    incident: ").append(toIndentedString(incident)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

